List global announcements

View as Markdown

Lists announcements visible to the user. Only admin clients will see INACTIVE announcements. Results are ordered by creation date (newest first) by default.

Permissions: Any authenticated user with an Air scope.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

limitintegerOptional
Number of results to return per page.
offsetintegerOptional
The initial index from which to return the results.
orderingenumOptional

Order objects by field. Prefix with - for descending order.

searchstringOptional

Search by message.

severityenumOptional
Filter by severity. * `INFO` - Info * `ALERT` - Alert
Allowed values:
statelist of enumsOptional

Filter by state (can specify multiple values). Only admin clients will see INACTIVE announcements.

Allowed values:

Response

countinteger
resultslist of objects
nextstring or nullOptionalformat: "uri"
previousstring or nullOptionalformat: "uri"

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error